<?php
    session_start();
    if(!isset($_GET['id'])) die();
    
    $id = intval($_GET['id']);
    if($id <= 0 || $id > 32) die();
    
    $config = parse_ini_file("udp-conf.ini");

    if(!isset($config['server']) || !isset($config['port']) || !isset($config['header_8bytes']))
            die("Popraw config");

    $host = $config['server'];
    $port = $config['port'];

    printf("SendTo: %s %d<br>", $host, $port);

    if(isset($_COOKIE['PHPSSID'])){
        $newauth = $_COOKIE['PHPSSID'];
    }else{
        $newauth = session_id();
        setcookie('PHPSSID', $newauth, time()+5*365*24*60*60);
    }

    $buf = implode(' ', array($config['header_8bytes'], $id, $newauth));
    
    $socket = socket_create(AF_INET, SOCK_DGRAM, SOL_UDP);
            
    
    socket_sendto($socket, $buf, strlen($buf), 0, $host, $port);
    socket_close($socket);
?>
